<!DOCTYPE HTML>
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (11.0.2) on Mon Apr 13 15:28:25 EEST 2020 -->
<title>AbstractDAO</title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<meta name="dc.created" content="2020-04-13">
<link rel="stylesheet" type="text/css" href="../stylesheet.css" title="Style">
<link rel="stylesheet" type="text/css" href="../jquery/jquery-ui.css" title="Style">
<script type="text/javascript" src="../script.js"></script>
<script type="text/javascript" src="../jquery/jszip/dist/jszip.min.js"></script>
<script type="text/javascript" src="../jquery/jszip-utils/dist/jszip-utils.min.js"></script>
<!--[if IE]>
<script type="text/javascript" src="../jquery/jszip-utils/dist/jszip-utils-ie.min.js"></script>
<![endif]-->
<script type="text/javascript" src="../jquery/jquery-3.3.1.js"></script>
<script type="text/javascript" src="../jquery/jquery-migrate-3.0.1.js"></script>
<script type="text/javascript" src="../jquery/jquery-ui.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="AbstractDAO";
        }
    }
    catch(err) {
    }
//-->
var data = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
var pathtoroot = "../";
var useModuleDirectories = true;
loadScripts(document, 'script');</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<header role="banner">
<nav role="navigation">
<div class="fixedNav">
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a id="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../index.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/AbstractDAO.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li><a href="../index-files/index-1.html">Index</a></li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../allclasses.html">All&nbsp;Classes</a></li>
</ul>
<ul class="navListSearch">
<li><label for="search">SEARCH:</label>
<input type="text" id="search" value="search" disabled="disabled">
<input type="reset" id="reset" value="reset" disabled="disabled">
</li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a id="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
</div>
<div class="navPadding">&nbsp;</div>
<script type="text/javascript"><!--
$('.navPadding').css('padding-top', $('.fixedNav').css("height"));
//-->
</script>
</nav>
</header>
<!-- ======== START OF CLASS DATA ======== -->
<main role="main">
<div class="header">
<div class="subTitle"><span class="packageLabelInType">Package</span>&nbsp;<a href="package-summary.html">dao</a></div>
<h2 title="Class AbstractDAO" class="title">Class AbstractDAO&lt;T&gt;</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li>dao.AbstractDAO&lt;T&gt;</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>Direct Known Subclasses:</dt>
<dd><code><a href="ClientDAO.html" title="class in dao">ClientDAO</a></code>, <code><a href="OrderDAO.html" title="class in dao">OrderDAO</a></code>, <code><a href="OrderItemDAO.html" title="class in dao">OrderItemDAO</a></code>, <code><a href="ProductDAO.html" title="class in dao">ProductDAO</a></code></dd>
</dl>
<hr>
<pre>public class <span class="typeNameLabel">AbstractDAO&lt;T&gt;</span>
extends java.lang.Object</pre>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Constructor</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tr class="altColor">
<th class="colConstructorName" scope="row"><code><span class="memberNameLink"><a href="#%3Cinit%3E()">AbstractDAO</a></span>()</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<th class="colConstructorName" scope="row"><code><span class="memberNameLink"><a href="#%3Cinit%3E(java.lang.Class)">AbstractDAO</a></span>&#8203;(java.lang.Class&lt;?&gt;&nbsp;type)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
</table>
</li>
</ul>
</section>
<!-- ========== METHOD SUMMARY =========== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colSecond" scope="col">Method</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>java.util.List&lt;<a href="AbstractDAO.html" title="type parameter in AbstractDAO">T</a>&gt;</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#createObjects(java.sql.ResultSet)">createObjects</a></span>&#8203;(java.sql.ResultSet&nbsp;resultSet)</code></th>
<td class="colLast">
<div class="block">Meotda foloseste tehnica "reflection" pentru a converti
 <code>ResultSet</code> intr-o lista de obiecte</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#delete(T)">delete</a></span>&#8203;(<a href="AbstractDAO.html" title="type parameter in AbstractDAO">T</a>&nbsp;t)</code></th>
<td class="colLast">
<div class="block">Sterge din baza de date un element.</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code><a href="AbstractDAO.html" title="type parameter in AbstractDAO">T</a></code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#findByName(java.lang.String)">findByName</a></span>&#8203;(java.lang.String&nbsp;name)</code></th>
<td class="colLast">
<div class="block">Gaseste in baza de date si returneaza elementele
 corespunzatoare tipului de clasa in functie de un nume</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code><a href="AbstractDAO.html" title="type parameter in AbstractDAO">T</a></code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#insert(T)">insert</a></span>&#8203;(<a href="AbstractDAO.html" title="type parameter in AbstractDAO">T</a>&nbsp;obj)</code></th>
<td class="colLast">
<div class="block">Insereaza in baza de date un obiect
 apeland query-ul returnat de <a href="#insertQuery()"><code>insertQuery()</code></a>
 Metoda face un update la id-ul obiectului</div>
</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code>java.util.List&lt;<a href="AbstractDAO.html" title="type parameter in AbstractDAO">T</a>&gt;</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#selectAll()">selectAll</a></span>()</code></th>
<td class="colLast">
<div class="block">Selecteaza toate datele din baza de date corespunzatoare tipului T</div>
</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code><a href="AbstractDAO.html" title="type parameter in AbstractDAO">T</a></code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#update(T,java.lang.String)">update</a></span>&#8203;(<a href="AbstractDAO.html" title="type parameter in AbstractDAO">T</a>&nbsp;t,
      java.lang.String&nbsp;fieldToUpdate)</code></th>
<td class="colLast">
<div class="block">Se face un update in baza de date la un obiect dat ca parametru
 Obiectul trebuie sa existe in baza de date</div>
</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code><a href="AbstractDAO.html" title="type parameter in AbstractDAO">T</a></code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#updateIdOrder(T,java.lang.String)">updateIdOrder</a></span>&#8203;(<a href="AbstractDAO.html" title="type parameter in AbstractDAO">T</a>&nbsp;t,
             java.lang.String&nbsp;fieldToUpdate)</code></th>
<td class="colLast">
<div class="block">Se face un update in baza de date la un obiect dat ca parametru
 Obiectul trebuie sa existe in baza de date.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a id="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<code>equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait</code></li>
</ul>
</li>
</ul>
</section>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a id="&lt;init&gt;()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>AbstractDAO</h4>
<pre>public&nbsp;AbstractDAO()</pre>
</li>
</ul>
<a id="&lt;init&gt;(java.lang.Class)">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>AbstractDAO</h4>
<pre>public&nbsp;AbstractDAO&#8203;(java.lang.Class&lt;?&gt;&nbsp;type)</pre>
</li>
</ul>
</li>
</ul>
</section>
<!-- ============ METHOD DETAIL ========== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a id="createObjects(java.sql.ResultSet)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>createObjects</h4>
<pre class="methodSignature">public&nbsp;java.util.List&lt;<a href="AbstractDAO.html" title="type parameter in AbstractDAO">T</a>&gt;&nbsp;createObjects&#8203;(java.sql.ResultSet&nbsp;resultSet)</pre>
<div class="block">Meotda foloseste tehnica "reflection" pentru a converti
 <code>ResultSet</code> intr-o lista de obiecte</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>resultSet</code> - - ResultSet ce este convertit</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>O lista de obiecte corespunzatoare tipului type</dd>
</dl>
</li>
</ul>
<a id="findByName(java.lang.String)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>findByName</h4>
<pre class="methodSignature">public&nbsp;<a href="AbstractDAO.html" title="type parameter in AbstractDAO">T</a>&nbsp;findByName&#8203;(java.lang.String&nbsp;name)</pre>
<div class="block">Gaseste in baza de date si returneaza elementele
 corespunzatoare tipului de clasa in functie de un nume</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>name</code> - - numele in functie de care se face cautare</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>Obiectul rezultat daca exista, null in caz contrar</dd>
</dl>
</li>
</ul>
<a id="insert(java.lang.Object)">
<!--   -->
</a><a id="insert(T)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>insert</h4>
<pre class="methodSignature">public&nbsp;<a href="AbstractDAO.html" title="type parameter in AbstractDAO">T</a>&nbsp;insert&#8203;(<a href="AbstractDAO.html" title="type parameter in AbstractDAO">T</a>&nbsp;obj)</pre>
<div class="block">Insereaza in baza de date un obiect
 apeland query-ul returnat de <a href="#insertQuery()"><code>insertQuery()</code></a>
 Metoda face un update la id-ul obiectului</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>obj</code> - - elementul ce va fi inserat</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>Acelasi obiect inserat, cu id-ul generat aici</dd>
</dl>
</li>
</ul>
<a id="update(java.lang.Object,java.lang.String)">
<!--   -->
</a><a id="update(T,java.lang.String)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>update</h4>
<pre class="methodSignature">public&nbsp;<a href="AbstractDAO.html" title="type parameter in AbstractDAO">T</a>&nbsp;update&#8203;(<a href="AbstractDAO.html" title="type parameter in AbstractDAO">T</a>&nbsp;t,
                java.lang.String&nbsp;fieldToUpdate)</pre>
<div class="block">Se face un update in baza de date la un obiect dat ca parametru
 Obiectul trebuie sa existe in baza de date</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>t</code> - - elementul ce-l actualizam</dd>
<dd><code>fieldToUpdate</code> - - campul pe care il actualizam</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>Acelasi obiect actualizat</dd>
</dl>
</li>
</ul>
<a id="updateIdOrder(java.lang.Object,java.lang.String)">
<!--   -->
</a><a id="updateIdOrder(T,java.lang.String)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>updateIdOrder</h4>
<pre class="methodSignature">public&nbsp;<a href="AbstractDAO.html" title="type parameter in AbstractDAO">T</a>&nbsp;updateIdOrder&#8203;(<a href="AbstractDAO.html" title="type parameter in AbstractDAO">T</a>&nbsp;t,
                       java.lang.String&nbsp;fieldToUpdate)</pre>
<div class="block">Se face un update in baza de date la un obiect dat ca parametru
 Obiectul trebuie sa existe in baza de date. Selectia se face in functie de idOrder</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>t</code> - - elementul ce-l actualizam</dd>
<dd><code>fieldToUpdate</code> - - campul pe care il actualizam</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>Acelasi obiect actualizat</dd>
</dl>
</li>
</ul>
<a id="delete(java.lang.Object)">
<!--   -->
</a><a id="delete(T)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>delete</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;delete&#8203;(<a href="AbstractDAO.html" title="type parameter in AbstractDAO">T</a>&nbsp;t)</pre>
<div class="block">Sterge din baza de date un element.
 Acesta trebuie sa existe in baza de date</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>t</code> - - obiectul ce este sters</dd>
</dl>
</li>
</ul>
<a id="selectAll()">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>selectAll</h4>
<pre class="methodSignature">public&nbsp;java.util.List&lt;<a href="AbstractDAO.html" title="type parameter in AbstractDAO">T</a>&gt;&nbsp;selectAll()</pre>
<div class="block">Selecteaza toate datele din baza de date corespunzatoare tipului T</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>O lista ce contine toate elementele returnate</dd>
</dl>
</li>
</ul>
</li>
</ul>
</section>
</li>
</ul>
</div>
</div>
</main>
<!-- ========= END OF CLASS DATA ========= -->
<footer role="contentinfo">
<nav role="navigation">
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a id="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../index.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/AbstractDAO.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li><a href="../index-files/index-1.html">Index</a></li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../allclasses.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a id="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</nav>
</footer>
</body>
</html>
